Subject: Homophobia Panel Video
From: [email-masked]
Date: Thu, 13 Jan 94 10:42:34 EST

Barker Media at MIT will shortly be releasing a 90-minute 1993 MIT panel
  discussion on homophobia, "Homophobia in the Media and Society: One Life to
  Live and Beyond." Panelists: Warren Blumenfeld ("Homophobia: How We All
  Pay the Price"); Art Cohen (Filmmaker, "Growing Up Gay"); Michael
  Duffy (Chairman, Mass. Commission Against Discrimination); Victoria
  Mederos and Pamela Streetz (Boston Gay, Lesbian, and Bisexual
  Speakers Bureau).

  Anyone interested in a free brochure about this video can
  e-mail [email-masked] or drop a line to Mark Belson, Barker
  Media, Room 10-500, MIT, Cambridge MA 02139  1-617-253-5694.

SEPTEMBER 26: Phone Number has changed to 617-253-0968